%define LNG da

Summary:        Danish man pages from the Linux Documentation Project
Name:           man-pages-%LNG
Version:        0.1.2
Release:        %mkrel 7
License:        Distributable
Group:          System/Internationalization
URL:            http://www.sslug.dk/locale/man-sider/
Source0:        http://www.sslug.dk/locale/man-sider/manpages-da-%{version}.tar.gz
Patch0:         manpages-da-0.1.2-mga-makefile-paths.patch

BuildRequires:  sed
BuildRequires:  grep
BuildRequires:  man
Requires:       locales-%LNG
Requires:       man
AutoReq:        no
BuildArch:      noarch

%description
A large collection of man pages (reference material) from the Linux
Documentation Project (LDP), translated to Danish.  The man pages are
organized into the following sections:

        Section 1:  User commands (intro only)
        Section 2:  System calls
        Section 3:  Libc calls
        Section 4:  Devices (e.g., hd, sd)
        Section 5:  File formats and protocols (e.g., wtmp, %{_sysconfdir}/passwd,
                    nfs)
        Section 6:  Games (intro only)
        Section 7:  Conventions, macro packages, etc. (e.g., nroff, ascii)
        Section 8:  System administration (intro only)

%prep
%setup -q -n manpages-da-%{version}

# Fix encoding
for file in *; do
  iconv -f ISO-8859-1 -t UTF-8 $file > $file.new
  touch -r $file $file.new
  mv $file.new $file
done
mv l?smig læsmig

%autopatch -p1

%build

%install
%make_install PREFIX=%{buildroot}%{_prefix}

%postun
# 0 means deleting the package
if [ "$1" = "0" ]; then
   ## Force removing of /var/catman/%%{LNG}, if there isn't any man page
   ## directory /%%{_mandir}/%%{LNG}
   if [ ! -d %{_mandir}/%{LNG} ] ; then
       /bin/rm -rf /var/catman/%{LNG}
   fi
fi

%files
%doc læsmig AUTHORS ChangeLog
%{_mandir}/%{LNG}/


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.1.2-7.mga8
+ Revision: 1491313
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Sep 18 2018 umeabot <umeabot> 0.1.2-6.mga7
+ Revision: 1263076
- Mageia 7 Mass Rebuild

* Sat Feb 20 2016 umeabot <umeabot> 0.1.2-5.mga6
+ Revision: 972491
- Mageia 6 Mass Rebuild

* Mon Nov 09 2015 tv <tv> 0.1.2-4.mga6
+ Revision: 900260
- drop support for makewhatis now that we use mandb

* Wed Oct 15 2014 umeabot <umeabot> 0.1.2-3.mga5
+ Revision: 743309
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.2-2.mga5
+ Revision: 682146
- Mageia 5 Mass Rebuild

* Mon Aug 04 2014 akien <akien> 0.1.2-1.mga5
+ Revision: 659559
- Version 0.1.2
- Fix encoding (it is now UTF-8)

* Fri Oct 18 2013 umeabot <umeabot> 0.1.1-14.mga4
+ Revision: 507706
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.1.1-13.mga3
+ Revision: 359362
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 10 2011 ahmad <ahmad> 0.1.1-12.mga1
+ Revision: 5472
- drop old versioned man requires, just 'man' is enough now
- imported package man-pages-da


* Sat Dec 04 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.1-12mdv2011.0
+ Revision: 609317
- rebuild
- fix build
- fix typos

* Sat Dec 04 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.1-11mdv2011.0
+ Revision: 609200
- fix build
- rebuild
- rebuilt for 2010.1

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.1.1-9mdv2009.1
+ Revision: 351567
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.1.1-8mdv2009.0
+ Revision: 223164
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 0.1.1-7mdv2008.1
+ Revision: 152915
- rebuild
- rebuild
- kill re-definition of %%buildroot on Pixel's request
- fix summary-ended-with-dot

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue May 15 2007 Adam Williamson <awilliamson@mandriva.org> 0.1.1-5mdv2008.0
+ Revision: 26773
- clean spec, rebuild for new era


* Thu Jul 24 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.1.1-4mdk
- rebuild

* Mon Jan 20 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.1-3mdk
- build release

* Wed May 29 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.1-2mdk
- use new man-pages-LG template
    - don't rebuild whatis on install since
      - we've already build in package
      - cron will rebuild it nightly and so add other package french man pages
    - adapt to new man-pages-LG template
    - requires man => 1.5j-8mdk for new man-pages framework
    - use new std makewhatis to build whatis in spec and in cron entry 
    - add cron entry to nightly update whatis db
    - whatis db goes into /var/cache/man (so enable ro /usr)
    - standard {Build,}Requires/buildroot/prereq/arc/provides/obsoletes
    - remove duplicated summary

* Fri Mar 08 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.1-1mdk
- initial package

